View Issue Details

IDProjectCategoryView StatusLast Update
14148Bug reports[All Projects] Survey participants (Tokens)public2019-05-29 16:39
ReporterDenisChenu Assigned Todominikvitt  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.17.x 
Summary14148: Quota out aren shown as completed in token list
Description

Quota out are shown with current date (always) in survey listing.

Steps To Reproduce

Import included survey, check participant table.
Compare with csv export

Additional Information

In browse response : clearly set as "Not completed" for Quota out.

Unsure we need to set 'completed' for quota with confirm ? Maybe need a quota settings

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.0
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionmariadb
Server OS (if known)fedora/linux
Webserver software & version (if known)nginx
PHP Versionphp7

Activities

DenisChenu

DenisChenu

2018-10-16 17:41

developer  

survey_archive_477334.lsa (4,280 bytes)
tokens_477334.csv (287 bytes)
LouisGac

LouisGac

2019-01-10 17:25

manager   ~50167

carsten, could you give your pov on that please?

c_schmitz

c_schmitz

2019-05-23 14:43

administrator   ~52078

Quota out is not a Completel - should show IMHO no date but the quota out information..

DenisChenu

DenisChenu

2019-05-23 15:27

developer   ~52087

In token table : completed is not a datetime column ?

dominikvitt

dominikvitt

2019-05-23 17:50

developer   ~52094

No, varchar(17).

dominikvitt

dominikvitt

2019-05-23 18:04

developer   ~52095

This issue is fixed.
The patch is available now on GitHub and would be available on next LimeSurvey release.
https://github.com/LimeSurvey/LimeSurvey/commit/2528b1178cc26c384ee519f56cf95cfb7ca4bf5a

c_schmitz

c_schmitz

2019-05-29 16:12

administrator   ~52168

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28877

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52230

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 2528b117

2019-05-23 18:03:08

Dominik Vitt

Details Diff
Fixed issue 14148: Quota out is shown as completed in token list Affected Issues
14148
mod - application/models/TokenDynamic.php Diff File

Issue History

Date Modified Username Field Change
2018-10-16 17:41 DenisChenu New Issue
2018-10-16 17:41 DenisChenu File Added: survey_archive_477334.lsa
2018-10-16 17:41 DenisChenu File Added: tokens_477334.csv
2018-10-16 17:41 DenisChenu File Added: Capture du 2018-10-16 17-36-54.png
2019-01-10 17:25 LouisGac Assigned To => c_schmitz
2019-01-10 17:25 LouisGac Status new => feedback
2019-01-10 17:25 LouisGac Note Added: 50167
2019-05-23 14:43 c_schmitz Assigned To c_schmitz => dominikvitt
2019-05-23 14:43 c_schmitz Note Added: 52078
2019-05-23 15:27 DenisChenu Note Added: 52087
2019-05-23 15:27 DenisChenu Status feedback => assigned
2019-05-23 17:50 dominikvitt Note Added: 52094
2019-05-23 18:04 dominikvitt Status assigned => resolved
2019-05-23 18:04 dominikvitt Resolution open => fixed
2019-05-23 18:04 dominikvitt Fixed in Version => 3.17.x
2019-05-23 18:04 dominikvitt Note Added: 52095
2019-05-29 16:12 Changeset attached => LimeSurvey master 2528b117
2019-05-29 16:12 c_schmitz Note Added: 52168
2019-05-29 16:39 c_schmitz Note Added: 52230
2019-05-29 16:39 c_schmitz Status resolved => closed